Subject: Re: bug#50500: Add ways to copy id bookmark link in eww

From: Juri Linkov <[email-masked]>
Date: Sat, 11 Sep 2021 22:06:04 +0300

>> The problem is that "id" from such HTML:
>>
>>   <h5 id="section13">13. Use with the GNU Affero General Public License.</h5>
>>
>> is not rendered on UI, so the user doesn't know that here is some "id"
>> available for bookmarking.  But, for example, github.com for the sections
>> of the README.org file with ids displays visual indication that looks like
>> a chain icon on the left.  If eww will support some visual indication about
>> ids used on the page like github does, then it will make sense also to
>> include the displayed id to the copied link.
>
> I'm not sure I understand -- do you want eww to have a visual indicator
> on all HTML elements that have an id?  That would be ... weird and ugly,
> I think?  Github doesn't display anything in particular on elements with
> ids per se -- they do display a link icon on sections, and the sections
> have ids, but that's because they generated the HTML that way.

That's why I said "*IF* eww will support some visual indication" :-)
But I don't think such visual distraction would be appreciated by users.